/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.compdef.compDefText;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Connector</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getName <em>Name</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getEnd <em>End</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage#getConnector()
 * @model
 * @generated
 */
public interface Connector extends EObject
{
  /**
   * Returns the value of the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name</em>' attribute.
   * @see #setName(String)
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage#getConnector_Name()
   * @model
   * @generated
   */
  String getName();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getName <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name</em>' attribute.
   * @see #getName()
   * @generated
   */
  void setName(String value);

  /**
   * Returns the value of the '<em><b>End</b></em>' containment reference list.
   * The list contents are of type {@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>End</em>' containment reference list.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage#getConnector_End()
   * @model containment="true"
   * @generated
   */
  EList<ConnectorEnd> getEnd();

} // Connector
